> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.rhombus.community/llms.txt
> Use this file to discover all available pages before exploring further.

# Get spliced clips in progress

> Get all spliced clips in progress



## OpenAPI

````yaml https://api2.rhombussystems.com/api/openapi/public.json post /api/video/getSplicedClipsInProgress
openapi: 3.0.1
info:
  contact:
    email: developer@rhombussystems.com
  description: >-
    This API is for use by Rhombus customers and partners.


    ## Authentication


    All requests require two headers:

    - `x-auth-scheme` — The authentication scheme identifier. Use `api-token`
    for standard API key auth, or `partner-api-token` for partner API auth.

    - `x-auth-apikey` — Your Rhombus API key.


    Example:

    ```

    POST /api/camera/getMinimalCameraStateList

    x-auth-scheme: api-token

    x-auth-apikey: YOUR_API_KEY

    Content-Type: application/json

    ```
  title: Rhombus API
  version: '1.0'
servers:
  - description: Production Server
    url: https://api2.rhombussystems.com
security:
  - ApiKeyAuth: []
paths:
  /api/video/getSplicedClipsInProgress:
    post:
      tags:
        - Video Webservice
      summary: Get spliced clips in progress
      description: Get all spliced clips in progress
      operationId: getSplicedClipsInProgress
      parameters:
        - description: >-
            Authentication scheme identifier. Use `api-token` for standard API
            key authentication, `partner-api-token` for partner API key
            authentication. Must be paired with the `x-auth-apikey` header
            containing your API key.
          example: api-token
          in: header
          name: x-auth-scheme
          required: true
          schema:
            type: string
            default: api-token
            enum:
              - api-token
              - api
              - partner-api-token
              - partner-api
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Video_GetSplicedClipsInProgressWSRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Video_GetSplicedClipsInProgressWSResponse'
          description: OK
components:
  schemas:
    Video_GetSplicedClipsInProgressWSRequest:
      type: object
      description: Request object for getting all spliced clips in progress.
    Video_GetSplicedClipsInProgressWSResponse:
      type: object
      description: Response object containing all spliced clips in progress.
      properties:
        error:
          type: boolean
          nullable: true
        errorMsg:
          type: string
          nullable: true
        splicedClips:
          type: array
          description: List of spliced clips currently in progress
          items:
            $ref: '#/components/schemas/SplicedClipType'
          nullable: true
        warningMsg:
          type: string
          nullable: true
    SplicedClipType:
      type: object
      description: List of spliced clips currently in progress
      properties:
        accessSettings:
          $ref: '#/components/schemas/ClipAccessSettings'
        analyzeClip:
          type: boolean
          nullable: true
        clipTargetLocation:
          $ref: '#/components/schemas/MetaDataLocationType'
        clipUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        completedSubClipCount:
          type: integer
          format: int32
          nullable: true
        consoleDelete:
          type: boolean
          nullable: true
        deleted:
          type: boolean
          nullable: true
        description:
          type: string
          nullable: true
        deviceIntervalMap:
          type: object
          additionalProperties:
            type: array
            items:
              $ref: '#/components/schemas/TimeInterval'
            nullable: true
          nullable: true
        deviceMap:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/SplicedClipProgress'
          nullable: true
        devicePresentationOrder:
          type: array
          items:
            type: string
            format: DeviceFacetUuid
            description: RUUID with optional appended facet information
            example: AAAAAAAAAAAAAAAAAAAAAA.v0
            nullable: true
          nullable: true
        deviceUuid:
          type: string
          format: DeviceFacetUuid
          description: RUUID with optional appended facet information
          example: AAAAAAAAAAAAAAAAAAAAAA.v0
          nullable: true
        deviceUuidMap:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/SplicedClipProgress'
          nullable: true
        deviceUuidToAlteredViewMap:
          type: object
          additionalProperties:
            type: array
            items:
              $ref: '#/components/schemas/AlteredView'
            nullable: true
          nullable: true
        deviceUuidToFisheyePresentationMap:
          type: object
          additionalProperties:
            type: array
            items:
              $ref: '#/components/schemas/DewarpedView'
            nullable: true
          nullable: true
        duration:
          type: integer
          format: int32
          nullable: true
        expectedSubClipCount:
          type: integer
          format: int32
          nullable: true
        integrationUploadList:
          type: array
          items:
            $ref: '#/components/schemas/IntegrationEnum'
          nullable: true
        isPolicyEvent:
          type: boolean
          nullable: true
        metadataBucketRegion:
          type: string
          nullable: true
        orgUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        parentClipUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        policyEventPipeline:
          $ref: '#/components/schemas/PolicyEventPipelineEnum'
        saveClip:
          type: boolean
          nullable: true
        saveFrame:
          type: boolean
          nullable: true
        segmentsUploaded:
          type: integer
          format: int32
          nullable: true
        sendToSharedStorage:
          type: boolean
          nullable: true
        startTime:
          type: integer
          format: int64
          nullable: true
        status:
          $ref: '#/components/schemas/ClipStatusEnum'
        statusUpdatedAtMs:
          type: integer
          format: int64
          nullable: true
        thumbnailRelativeSecond:
          type: number
          format: float
          nullable: true
        timestampMs:
          type: integer
          format: int64
          nullable: true
        title:
          type: string
          nullable: true
        totalSegments:
          type: integer
          format: int32
          nullable: true
        transactionUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        userUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
    ClipAccessSettings:
      type: object
      description: Visibility setting for the clip
      properties:
        allowedRoles:
          type: array
          items:
            type: string
            format: RUUID
            description: base 64 (url-safe) uuid string
            example: AAAAAAAAAAAAAAAAAAAAAA
            nullable: true
          nullable: true
          uniqueItems: true
        allowedUsers:
          type: array
          items:
            type: string
            format: RUUID
            description: base 64 (url-safe) uuid string
            example: AAAAAAAAAAAAAAAAAAAAAA
            nullable: true
          nullable: true
          uniqueItems: true
        visibility:
          $ref: '#/components/schemas/ClipVisibilityEnum'
    MetaDataLocationType:
      type: object
      properties:
        region:
          type: string
          nullable: true
    TimeInterval:
      type: object
      properties:
        endMs:
          type: integer
          format: int64
          nullable: true
        startMs:
          type: integer
          format: int64
          nullable: true
    SplicedClipProgress:
      type: object
      properties:
        region:
          type: string
          nullable: true
        segmentsUploaded:
          type: integer
          format: int32
          nullable: true
        totalSegments:
          type: integer
          format: int32
          nullable: true
    AlteredView:
      type: object
      description: Map of device facet UUIDs to altered view configurations
      properties:
        crop:
          $ref: '#/components/schemas/CroppedPermyriadRect'
        dewarp:
          $ref: '#/components/schemas/DewarpedView'
    DewarpedView:
      type: object
      properties:
        aspectRatio:
          $ref: '#/components/schemas/AspectRatio'
        pitchDegrees:
          type: number
          format: float
          nullable: true
        rollDegrees:
          type: number
          format: float
          nullable: true
        verticalFieldOfViewDegrees:
          type: integer
          format: int32
          nullable: true
        yawDegrees:
          type: number
          format: float
          nullable: true
    IntegrationEnum:
      type: string
      enum:
        - AVIGILON_ALTA
        - BOULEVARD
        - BRIVO
        - BUTTERFLY_MX
        - DEVICE_INTEGRATION
        - DICE
        - ENVOY
        - FLIC
        - GENEA
        - GOOGLE
        - HONEYWELL_ELEMENTS
        - GUEST_MANAGEMENT
        - INFORMACAST
        - INNER_RANGE
        - KISI
        - LUMEO
        - MICROSOFT_TEAMS
        - OMNIALERT
        - OPENAI
        - OPENTECH_ALLIANCE
        - PIMLOC
        - PLACE_OS
        - PRODATAKEY
        - SHELLY
        - TOAST
        - WEBHOOKS
        - ZAPIER
        - RAPTOR
        - NINEONEONE_CELLULAR
        - SLACK
        - APERIO
        - PAR_POS
        - HONEYWELL_ONGUARD
        - HONEYWELL_NETBOX
        - SIGNATURE_API
        - UNKNOWN
    PolicyEventPipelineEnum:
      type: string
      enum:
        - DEFAULT
        - POLICY_ALERT_PUBLISHER
    ClipStatusEnum:
      type: string
      enum:
        - INITIATING
        - UPLOADING
        - RENDERING
        - FAILED
        - COMPLETE
        - OFFLINE
        - DELETED
        - UNKNOWN
    ClipVisibilityEnum:
      type: string
      description: Use accessSettings instead
      enum:
        - PRIVATE
        - ROLE_RESTRICTED
        - ORG_WIDE
    CroppedPermyriadRect:
      type: object
      properties:
        height:
          type: integer
          format: int32
          nullable: true
        width:
          type: integer
          format: int32
          nullable: true
        x:
          type: integer
          format: int32
          nullable: true
        'y':
          type: integer
          format: int32
          nullable: true
    AspectRatio:
      type: object
      properties:
        height:
          type: integer
          format: int32
          nullable: true
        width:
          type: integer
          format: int32
          nullable: true
  securitySchemes:
    ApiKeyAuth:
      description: >-
        Your Rhombus API key. Must be accompanied by the `x-auth-scheme` header
        set to `api-token` (or `partner-api-token` for partner endpoints).
      in: header
      name: x-auth-apikey
      type: apiKey

````